# Create team volume (/docs/api-reference/volumes/create-team-volume)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 787 · updated: 2026-07-30 -->
Related: [List team volumes](/docs/api-reference/volumes/list-team-volumes.md), [Team volume](/docs/api-reference/volumes/team-volume.md), [Delete team volume](/docs/api-reference/volumes/delete-team-volume.md)

# Create team volume

`POST /volumes`

Create a new team volume

## OpenAPI

```json
{
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "Name of the volume",
              "pattern": "^[a-zA-Z0-9_-]+$"
            }
          },
          "required": [
            "name"
          ]
        }
      }
    }
  },
  "responses": {
    "201": {
      "description": "Successfully created a new team volume",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "volumeID": {
                "type": "string",
                "description": "ID of the volume"
              },
              "name": {
                "type": "string",
                "description": "Name of the volume"
              },
              "token": {
                "type": "string",
                "description": "Auth token to use for interacting with volume content"
              }
            },
            "required": [
              "volumeID",
              "name",
              "token"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Bad request",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
